/**
 * Copyright 2024 Phenix Real Time Solutions, Inc. Confidential and Proprietary. All Rights Reserved.
 */
type WindowProps = Window & typeof globalThis & {URL: URL};

type JsonSimpleType = number | string | boolean | null | undefined;

type JsonObjType = {
  [key: string]: JsonSimpleType | JsonSimpleType[] | JsonObjType | JsonObjType[];
};

type JsonType = JsonSimpleType | JsonSimpleType[] | JsonObjType | JsonObjType[];

declare module 'config/version.json' {
  const value: {version: string};

  export default value;
}
declare module '*.gif';
declare module '*.png';
declare module '*.jpg';
declare module '*.jpeg';
declare module '*.svg';
